[Résolu] Fatal Error – Can’t use function return value in write context in (Créer un compte)

  • WordPress :4.2.1
  • Statut : résolu
7 sujets de 1 à 7 (sur un total de 7)
  • Auteur
    Messages
  • #2369975
    juliecz91
    Participant
    Initié WordPress
    4 contributions

    Bonjour,

    Je gère le site d’une association qui est hébergé sur une version ancienne de WordPress (je ne connais pas le numéro de cette version). L’adresse du site est la suivante : http://www.sono.ens-cachan.fr/

    J’ai voulu installer le plugin « Social media Feather » sur ce site, j’ai depuis le message d’erreur suivant:

    Fatal error: Can’t use function return value in write context in /var/www/sono/racine/wp-content/plugins/social-media-feather/synved-connect/synved-connect-support.php on line 11

    Etant donné que je viens de débuter l’administration de ce site, je ne dispose d’aucune sauvegarde, et je ne sais pas comment accéder à l’interface d’administration (puisque je n’ai plus du tout accès au site, même en cherchant http://www.sono.ens-cachan.fr/wp-admin/ j’ai le même message d’erreur.

    Pourriez-vous m’aider s’il vous plait ?

    #2369982
    ferman
    Participant
    Maître WordPress
    3719 contributions

    Bonjour,

    La solution est d’aller dans les dossiers de votre site puis dans le dossier wp-content -> plugins -> le dossier de votre extension. Vous renommerez ce  dossier en ajoutant X au bout (social-media-featherX) puis enlèverez ce X. Cette opération désactive le plugin en cause. Vous aurez alors accès à votre administration. Là vous pourrez supprimer proprement cette extension. Cela se fait par FTP en utilisant Filezilla. Je suppose que vous savez faire ça.

    Si wordpress est vraiment vieux, il risque d’être difficile de télécharger de nouvelles extensions ou thèmes. Ils ne seront plus compatibles et vous aurez des problèmes comme celui que vous rencontrez actuellement.

    • Cette réponse a été modifiée le il y a 2 semaines et 2 jours par ferman.
    #2369986
    juliecz91
    Participant
    Initié WordPress
    4 contributions

    Bonjour,

    Merci beaucoup pour votre réponse. Je suis vraiment une très grande débutant, je ne sais pas utiliser Filezilla (que je n’ai d’ailleurs pas). Est-il possible que j’installe ce logiciel maintenant, et que je suive la procédure que vous m’avez indiqué ?

    Je vous remercie encore,

    Cordialement

    #2369987
    PhiLyon
    Modérateur
    Maître WordPress
    27323 contributions

    Bonjour.

    De plus la version PHP est obsolète Powered by: PHP 5.2.6-1, pour WordPress 5.6.1 et les extensions actuelles la version minimale est la 7.4.1.

    Je ne sais si tu pourras la modifier toi-même, apparemment tu es sur le serveur de l’ENS.

    🙂

    #2369988
    PhiLyon
    Modérateur
    Maître WordPress
    27323 contributions

    J’ai fermé ton autre sujet qui faisait doublon.

    🙂

    #2369989
    juliecz91
    Participant
    Initié WordPress
    4 contributions

    Effectivement, je suis sur le serveur de l’ENS que je ne contrôle pas du tout. Je souhaiterais seulement réussir à désactiver le plugin pour que le site fonctionne à nouveau (même si c’est sur une version très vieille, je n’installerai plus d’autres extensions)

    #2369995
    ferman
    Participant
    Maître WordPress
    3719 contributions

    Effectivement, je suis sur le serveur de l’ENS que je ne contrôle pas du tout.

    Il y a bien quelqu’un qui contrôle. Il (elle) ne peut pas faire ce petit travail? Pour Filezilla et le FTP, vous avez besoin d’identifiants et mots de passes spécifiques, que probablement vous n’avez pas et d’un accès au serveur.

    • Cette réponse a été modifiée le il y a 2 semaines et 2 jours par ferman.
7 sujets de 1 à 7 (sur un total de 7)
  • Vous devez être connecté pour répondre à ce sujet.